VkShaderResourceUsageAMD Struct Reference

`#include <vulkan_core.h>`

## Data Fields

uint32_t | numUsedVgprs
uint32_t | numUsedSgprs
uint32_t | ldsSizePerLocalWorkGroup
size_t | ldsUsageSizeInBytes
size_t | scratchMemUsageInBytes

## Detailed Description

Definition at line 6545 of file vulkan_core.h.

## Field Documentation

## ldsSizePerLocalWorkGroup

uint32_t VkShaderResourceUsageAMD::ldsSizePerLocalWorkGroup

Definition at line 6548 of file vulkan_core.h.

## ldsUsageSizeInBytes

size_t VkShaderResourceUsageAMD::ldsUsageSizeInBytes

Definition at line 6549 of file vulkan_core.h.

## numUsedSgprs

uint32_t VkShaderResourceUsageAMD::numUsedSgprs

Definition at line 6547 of file vulkan_core.h.

## numUsedVgprs

uint32_t VkShaderResourceUsageAMD::numUsedVgprs

Definition at line 6546 of file vulkan_core.h.

## scratchMemUsageInBytes

size_t VkShaderResourceUsageAMD::scratchMemUsageInBytes

Definition at line 6550 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h